zabbix_export:
  version: '8.0'
  host_groups:
    - uuid: 476a6c4ffcd642c0b8601bedcbfd387f
      name: hg1
  hosts:
    - host: winhost
      name: winhost
      groups:
        - name: hg1
      interfaces:
        - ip: 192.168.120.48
          interface_ref: if1
      items:
        - name: hostname
          key: agent.hostname
          value_type: CHAR
          interface_ref: if1
        - name: agent
          key: agent.variant
          delay: 1s
          interface_ref: if1
        - name: 'net.tcp.port["[::1]:25", 25, 80]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.port["[::1]:25", 25, 80]'
          delay: 1s
        - name: 'A1 net.tcp.port["[::1]:25", 25]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.port["[::1]:25", 25]'
          delay: 1s
        - name: 'net.tcp.port[123-321,10050]'
          key: 'net.tcp.port[123-321,10050]'
          interface_ref: if1
        - name: 'A2 net.tcp.port[192.168.56,80]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.port[192.168.56,80]'
        - name: net.tcp.port
          key: 'net.tcp.port[192.168.56.1, 10050]'
          delay: 1s
          interface_ref: if1
        - name: 'A0 net.tcp.port[192.168.56.1,10050]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.port[192.168.56.1,10050]'
          delay: 1s
        - name: 'A0 net.tcp.port[192.168.56.1:10050,10050]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.port[192.168.56.1:10050,10050]'
          delay: 1s
        - name: 'net.tcp.port[192.168.56.102,10050]'
          key: 'net.tcp.port[192.168.56.102,10050]'
          interface_ref: if1
        - name: 'A1 net.tcp.port[192.168.56.103/path,80]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.port[192.168.56.103/path,80]'
          delay: 1s
        - name: 'net.tcp.port[::1, 10050]'
          key: 'net.tcp.port[::1, 10050]'
          delay: 1s
          interface_ref: if1
        - name: 'net.tcp.port[::1:25, 25]'
          key: 'net.tcp.port[::1:25, 25]'
          delay: 1s
          interface_ref: if1
        - name: 'net.tcp.port Macros'
          key: 'net.tcp.port[aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaa, 10050]'
          delay: 1s
          interface_ref: if1
        - name: 'A2 net.tcp.port[aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa,80]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.port[aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaa.,80]'
        - name: 'net.tcp.port[aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa,10050]'
          key: 'net.tcp.port[aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaa.,10050]'
          interface_ref: if1
        - name: 'net.tcp.port[net.tcp.port[192.168.56,80]'
          key: 'net.tcp.port[net.tcp.port[192.168.56,80]'
          interface_ref: if1
        - name: 'net.tcp.port[net.tcp.port[192.168.56.103:10050, 10050]'
          key: 'net.tcp.port[net.tcp.port[192.168.56.103:10050, 10050]'
          interface_ref: if1
        - name: 'net.tcp.port[Sand2/somePath,10050]'
          key: 'net.tcp.port[Sand2/somePath,10050]'
          interface_ref: if1
        - name: bugTest
          key: 'net.tcp.port[Sand_2, 80]'
          delay: 1s
          interface_ref: if1
        - name: 'A3 net.tcp.port[_S-a_n.d.23.456,80]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.port[_S-a_n.d.23.456,80]'
        - name: 'net.tcp.port[{$IP},80]'
          key: 'net.tcp.port[{$IP},80]'
          interface_ref: if1
        - name: 'net.tcp.service.perf["http", xn--nes-muia-g7a17j.lan,80]'
          key: 'net.tcp.service.perf["http", xn--nes-muia-g7a17j.lan,80]'
          value_type: FLOAT
          interface_ref: if1
        - name: 'net.tcp.service.perf[http, 192.168.56,80]'
          key: 'net.tcp.service.perf[http, 192.168.56,80]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'net.tcp.service.perf[http, 192.168.56.103,80]'
          key: 'net.tcp.service.perf[http, 192.168.56.103,80]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'net.tcp.service.perf[http, 192.168.56.103:80 ,80]'
          key: 'net.tcp.service.perf[http, 192.168.56.103:80 ,80]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'net.tcp.service.perf[http, aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa,80]'
          key: 'net.tcp.service.perf[http, aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaa.,80]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'A9 net.tcp.service.perf[http,aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa, 80]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.service.perf[http,aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaa., 80]'
          delay: 1s
          value_type: FLOAT
        - name: 'Simple check net.tcp.service.perf'
          type: SIMPLE
          key: 'net.tcp.service.perf[http,            S-a_n.d23456,                80]'
          value_type: FLOAT
          interface_ref: if1
        - name: 'A8 net.tcp.service.perf[http,Sand2, 80]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.service.perf[http,Sand2, 80]'
          delay: 1s
          value_type: FLOAT
        - name: 'A9 net.tcp.service.perf[http,Sand2/path, 80]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.service.perf[http,Sand2/path, 80]'
          delay: 1s
          value_type: FLOAT
        - name: 'net.tcp.service.perf[http, _a.b.c.d.e_12345-123,80]'
          key: 'net.tcp.service.perf[http, _a.b.c.d.e_12345-123,80]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'A9 net.tcp.service.perf[http,_a.b.c.d.e_12345-123, 80]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.service.perf[http,_a.b.c.d.e_12345-123, 80]'
          delay: 1s
          value_type: FLOAT
        - name: 'net.tcp.service.perf[http, _a.b.c.d.e_12345-123/path,80]'
          key: 'net.tcp.service.perf[http, _a.b.c.d.e_12345-123/path,80]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: net.tcp.service
          key: 'net.tcp.service.perf[tcp,_S-a_n.d33456,445]'
          value_type: FLOAT
          interface_ref: if1
        - name: net.tcp.service.perf
          key: 'net.tcp.service.perf[tcp, {$IP_PATH},445]'
          value_type: FLOAT
          interface_ref: if1
        - name: 'simple check net.tcp.service'
          type: SIMPLE
          key: 'net.tcp.service[http,              123-321,                    80]'
          interface_ref: if1
        - name: 'net.tcp.service[http, 192.168.56,80]'
          key: 'net.tcp.service[http, 192.168.56,80]'
          delay: 1s
          interface_ref: if1
        - name: 'net.tcp.service[http, 192.168.56.103,80]'
          key: 'net.tcp.service[http, 192.168.56.103,80]'
          delay: 1s
          interface_ref: if1
        - name: 'net.tcp.service positive'
          key: 'net.tcp.service[http,192.168.56.103, 80]'
          interface_ref: if1
        - name: 'net.tcp.service[http, 192.168.56.103:80 ,80]'
          key: 'net.tcp.service[http, 192.168.56.103:80 ,80]'
          delay: 1s
          interface_ref: if1
        - name: 'net.tcp.service[http, aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa,80]'
          key: 'net.tcp.service[http, aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaa.,80]'
          delay: 1s
          interface_ref: if1
        - name: 'A4 net.tcp.service[http,Sand2/somePath,80]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.service[http,Sand2/somePath,80]'
        - name: 'net.tcp.service[http, _a.b.c.d.e_12345-123,80]'
          key: 'net.tcp.service[http, _a.b.c.d.e_12345-123,80]'
          delay: 1s
          interface_ref: if1
        - name: 'net.tcp.service[http, _a.b.c.d.e_12345-123/path,80]'
          key: 'net.tcp.service[http, _a.b.c.d.e_12345-123/path,80]'
          delay: 1s
          interface_ref: if1
        - name: 'net.tcp.service negative'
          key: 'net.tcp.service[http,{$HOSTNAME}, {$PORT}, 80]'
          interface_ref: if1
        - name: "A9 \tnet.tcp.service[tcp, 192.168.56.1/path,445]"
          type: ZABBIX_ACTIVE
          key: 'net.tcp.service[tcp, 192.168.56.1/path,445]'
          delay: 1s
        - name: 'A5 net.tcp.service[tcp,{$IP},445]'
          type: ZABBIX_ACTIVE
          key: 'net.tcp.service[tcp,{$IP},445]'
          delay: 1s
        - name: 'simple check net.udp.service.perf'
          type: SIMPLE
          key: 'net.udp.service.perf[ntp,       123-321,      123]'
          value_type: FLOAT
          interface_ref: if1
        - name: 'net.udp.service.perf[ntp,123-321:123, 123]'
          key: 'net.udp.service.perf[ntp,123-321:123, 123]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'A11 net.udp.service.perf[ntp,192.168.56, 123]'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service.perf[ntp,192.168.56, 123]'
          delay: 1s
          value_type: FLOAT
        - name: net.udp.service.perf
          key: 'net.udp.service.perf[ntp,        192.168.56.103,            123]'
          value_type: FLOAT
          interface_ref: if1
        - name: 'net.udp.service.perf[ntp,192.168.56.103, 123]'
          key: 'net.udp.service.perf[ntp,192.168.56.103, 123]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'net.udp.service.perf[ntp,192.168.56.103.100, 123]'
          key: 'net.udp.service.perf[ntp,192.168.56.103.100, 123]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'A11 net.udp.service.perf[ntp,192.168.56.103:123, 123]'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service.perf[ntp,192.168.56.103:123, 123]'
          delay: 1s
          value_type: FLOAT
        - name: 'A6 net.udp.service.perf[ntp,aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service.perf[ntp,aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaa., 123]'
          delay: 1s
          value_type: FLOAT
        - name: 'A6 net.udp.service.perf[ntp,abcd., 123]'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service.perf[ntp,abcd., 123]'
          delay: 1s
          value_type: FLOAT
        - name: 'A7 net.udp.service.perf[ntp,Sand2, 123]'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service.perf[ntp,Sand2, 123]'
          delay: 1s
          value_type: FLOAT
        - name: 'A10 net.udp.service.perf[ntp,Sand2/path, 123]'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service.perf[ntp,Sand2/path, 123]'
          delay: 1s
          value_type: FLOAT
        - name: 'net.udp.service.perf[ntp,_a.b.c.d.e_12345-123, 123]'
          key: 'net.udp.service.perf[ntp,_a.b.c.d.e_12345-123, 123]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'net.udp.service.perf[ntp,_a.b.c.d.e_12345-123/path, 123]'
          key: 'net.udp.service.perf[ntp,_a.b.c.d.e_12345-123/path, 123]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'net.udp.service.perf[ntp,_a.b.c.d.e_12345-123:123, 123]'
          key: 'net.udp.service.perf[ntp,_a.b.c.d.e_12345-123:123, 123]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'A11 net.udp.service.perf[ntp,_S-a_n.d.23.456, 123]'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service.perf[ntp,_S-a_n.d.23.456, 123]'
          delay: 1s
          value_type: FLOAT
        - name: 'net.udp.service.perf[ntp,_S-a_n.d.23.456:123, 123]'
          key: 'net.udp.service.perf[ntp,_S-a_n.d.23.456:123, 123]'
          delay: 1s
          value_type: FLOAT
          interface_ref: if1
        - name: 'net.udp.service[ntp,192.168.56, 123]'
          key: 'net.udp.service[ntp,192.168.56 123]'
          delay: 1s
          interface_ref: if1
        - name: 'A11 net.udp.service[ntp,192.168.56, 123]'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service[ntp,192.168.56, 123]'
          delay: 1s
        - name: 'net.udp.service[ntp,192.168.56.103, 123]'
          key: 'net.udp.service[ntp,192.168.56.103, 123]'
          delay: 1s
          interface_ref: if1
        - name: net.udp.service
          key: 'net.udp.service[ntp,192.168.56.103,123]'
          interface_ref: if1
        - name: 'net.udp.service[ntp,192.168.56.103.100, 123]'
          key: 'net.udp.service[ntp,192.168.56.103.100, 123]'
          delay: 1s
          interface_ref: if1
        - name: 'A11 net.udp.service[ntp,192.168.56.103:123, 123]'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service[ntp,192.168.56.103:123, 123]'
          delay: 1s
        - name: 'net.udp.service[ntp,aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa, 123]'
          key: 'net.udp.service[ntp,aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa.aaaaaaaaaaaaaaaaa., 123]'
          delay: 1s
          interface_ref: if1
        - name: 'simple check net.udp.service'
          type: SIMPLE
          key: 'net.udp.service[ntp,           S-a_n.d23456.,                 123]'
          interface_ref: if1
        - name: 'A11 net.udp.service[ntp,Sand2, 123]'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service[ntp,Sand2, 123]'
          delay: 1s
        - name: 'A10 net.udp.service[ntp,Sand2/path, 123]'
          type: ZABBIX_ACTIVE
          key: 'net.udp.service[ntp,Sand2/path, 123]'
          delay: 1s
        - name: 'net.udp.service[ntp,_a.b.c.d.e_12345-123, 123]'
          key: 'net.udp.service[ntp,_a.b.c.d.e_12345-123, 123]'
          delay: 1s
          interface_ref: if1
        - name: 'net.udp.service[ntp,_a.b.c.d.e_12345-123/path, 123]'
          key: 'net.udp.service[ntp,_a.b.c.d.e_12345-123/path, 123]'
          delay: 1s
          interface_ref: if1
        - name: 'net.udp.service[ntp,_a.b.c.d.e_12345-123:123, 123]'
          key: 'net.udp.service[ntp,_a.b.c.d.e_12345-123:123, 123]'
          delay: 1s
          interface_ref: if1
      macros:
        - macro: '{$IP}'
          value: 127.0.0.1
        - macro: '{$IP_PATH}'
          value: 127.0.0.1/path/p
